#include "example_main.h"

int example_gen7() {
    int result = QR_RESULT_ERR;

    uint8_t encrypted_result[QR_DATA_STRUCT_LEN_ASCII + 1];
    encrypted_result[QR_DATA_STRUCT_LEN_ASCII] = 0;

    struct qr_context *ctx = qr_new_default_ctx();

    if (ctx != NULL)
    {
        result = qr_GenId7(ctx, 0x123456789ABCDE, encrypted_result);
        qr_delete_ctx(ctx);
    }

    if (result == QR_RESULT_OK)
    {
        printf("encrypted with default key, id7: 0x123456789ABCDE: %s\n", encrypted_result);
    }
    else
    {
        printf("failed to encrypt id7\n");
    }

    return result;
}